ModificationTimeParam (Apache Hadoop HDFS Client 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.web.resources, class: ModificationTimeParam

Package org.apache.hadoop.hdfs.web.resources

# Class ModificationTimeParam

java.lang.Object
org.apache.hadoop.hdfs.web.resources.Param<Long,org.apache.hadoop.hdfs.web.resources.LongParam.Domain>
org.apache.hadoop.hdfs.web.resources.ModificationTimeParam

public class ModificationTimeParam extends Param<Long,org.apache.hadoop.hdfs.web.resources.LongParam.Domain>
Modification time parameter.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DEFAULT`
  Default parameter value.
  `static final String`
  `NAME`
  Parameter name.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ModificationTimeParam(Long value)`
  Constructor.
  `ModificationTimeParam(String str)`
  Constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getName()`
  `String`
  `getValueString()`
  `String`
  `toString()`

  ### Methods inherited from class org.apache.hadoop.hdfs.web.resources.Param

  `getValue, toSortedString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### NAME

    public static final String NAME
    Parameter name.
    See Also:
      - Constant Field Values

  - ### DEFAULT

    public static final String DEFAULT
    Default parameter value.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ModificationTimeParam

    public ModificationTimeParam(Long value)
    Constructor.
    Parameters:
      `value` - the parameter value.

  - ### ModificationTimeParam

    public ModificationTimeParam(String str)
    Constructor.
    Parameters:
      `str` - a string representation of the parameter value.

- ## Method Details

  - ### getName

    public String getName()
    Specified by:
      `getName` in class `Param<Long,org.apache.hadoop.hdfs.web.resources.LongParam.Domain>`
    Returns:
      the parameter name.

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Param<Long,org.apache.hadoop.hdfs.web.resources.LongParam.Domain>`

  - ### getValueString

    public String getValueString()
    Specified by:
      `getValueString` in class `Param<Long,org.apache.hadoop.hdfs.web.resources.LongParam.Domain>`
    Returns:
      the parameter value as a string